package com.gh.gamecenter.core.provider

import android.app.Dialog
import android.content.Context


interface IDialogUtilsProvider {

    fun showRegulationTestDialog(context: Context, confirm: () -> Unit, cancel: () -> Unit)

    fun showWaitDialog(context: Context, string: String): Dialog

    fun showUsageStatsDialog(context: Context, confirm: () -> Unit, cancel: () -> Unit)

    fun showNoticeDialog(context: Context, title: String, content: String, confirm: () -> Unit)

    fun showBindPhoneDialog(context: Context, confirm: () -> Unit): Dialog
}